Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class CompositeInjectionTestCase

    java.lang.Object
      org.picocontainer.injectors.CompositeInjectionTestCase

    public class CompositeInjectionTestCase

extends Object

Author:
  Paul Hammant

Nested Class Summary
`static class` | `CompositeInjectionTestCase.Bar`
`static class` | `CompositeInjectionTestCase.Baz`
`static class` | `CompositeInjectionTestCase.Foo`
`static class` | `CompositeInjectionTestCase.Foo2`
`static class` | `CompositeInjectionTestCase.Foo3`
`static class` | `CompositeInjectionTestCase.Foo4`

Constructor Summary
`CompositeInjectionTestCase()`

Method Summary
`void` | `testComponentWithCtorAndMethodAnnotatedDiCanHaveAllDepsSatisfied()`
`void` | `testComponentWithCtorAndNamedFieldWorkToegether()`
`void` | `testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfied()`
`void` | `testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfiedWithANonSetInjectMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeInjectionTestCase

    public CompositeInjectionTestCase()

Method Detail

### testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfied

    public void testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfied()
                                                                 throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfiedWithANonSetInjectMethod

    public void testComponentWithCtorAndSetterDiCanHaveAllDepsSatisfiedWithANonSetInjectMethod()
                                                                                        throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### testComponentWithCtorAndMethodAnnotatedDiCanHaveAllDepsSatisfied

    public void testComponentWithCtorAndMethodAnnotatedDiCanHaveAllDepsSatisfied()
                                                                          throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### testComponentWithCtorAndNamedFieldWorkToegether

    public void testComponentWithCtorAndNamedFieldWorkToegether()
                                                         throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.